<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		function cargar(){
			var filas=document.querySelectorAll("tr");
			var celdas=filas[0].querySelectorAll("td")
			var c;

			/*var celdas=document.querySelectorAll("table tr:nth-child(1) td")*/
			for(c=0;c<6;c++){
				celdas[c].innerHTML=c+1;
			}
		}

	</script>
</head>
<body onload="cargar()">
<script type="text/javascript">
	var nFilas=4;
	var nColumnas=6;
	var filas;
	var columnas;
	// no tocar
	document.write("<table>");
	for(filas=0;filas<nFilas;filas++){
		document.write("<tr>")
		for(columnas=0;columnas<nColumnas;columnas++){
			document.write("<td>- ")
			document.write(" </td>")
		}
		document.write("</tr>")
	}
	document.write("</table>");
</script>
	
</body>
</html>